package discord

import (
	"context"

	"github.com/stretchr/testify/mock"
)

type GuildMock struct {
	mock.Mock
}

func (g *GuildMock) GetMember(ctx context.Context, memberID string) (IMember, error) {
	args := g.Called(ctx, memberID)

	if args.Get(0) == nil {
		return nil, args.Error(1)
	}

	return args.Get(0).(IMember), args.Error(1)
}
