package testing

import "github.com/gofiber/fiber/v3"

type TestingController struct{}

func (t *TestingController) Routes(r fiber.Router) {
	r.Get("/picker/:version?", t.Picker)
}

func (t *TestingController) Picker(c fiber.Ctx) error {
	version := c.Params("version", "main")
	return c.Render("picker/"+version, fiber.Map{})
}
